Lists the public and private teams the request sender is part of.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the query parameter. |
The authToken of the authenticated user.
The userId of the authenticated user.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
OK
Note that the roomId is main room id of the team.
{
"teams": [
{
"_id": "63f3efc4b000b6b6d86704b2",
"name": "test-audit",
"type": 0,
"createdAt": "2023-02-20T22:10:12.733Z",
"createdBy": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "test.test"
},
"_updatedAt": "2023-02-20T22:10:12.843Z",
"roomId": "6GFJ3tbmHiyHbahmC",
"rooms": 0,
"numberOfUsers": 2
},
{
"_id": "65149c7ea2f73c7460e18cab",
"name": "messages",
"type": 0,
"createdAt": "2023-09-27T21:19:58.972Z",
"createdBy": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "roxie"
},
"_updatedAt": "2023-09-27T21:19:59.038Z",
"roomId": "6513afeda2f73c7460e18c86",
"rooms": 0,
"numberOfUsers": 2
}
],
"total": 2,
"count": 2,
"offset": 0,
"success": true
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}